Mono Colombia

Gets a payin

Gets a payin by its ID. Scoped to the requesting client.

GET
/v1/core/payins/{id}

Authorization

authorization
AuthorizationBearer <token>

In: header

Path Parameters

idstring

Payin ID

Match^[A-Za-z]{2,7}_[\w-]{22}$
Example"cpin_5tgliBmzjZ6mpQPRbQjfKj"

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.sandbox.cuentamono.com/v1/core/payins/cpin_5tgliBmzjZ6mpQPRbQjfKj"
{
  "amount": {
    "amount": 100000000,
    "currency": "COP"
  },
  "calculated_fees": {
    "payin": {
      "amount": {
        "amount": 100000000,
        "currency": "COP"
      },
      "id": "fee_5tgliBmzjZ6mpQPRbQjfKj"
    },
    "payin_payer_spread": {
      "amount": {
        "amount": 100000000,
        "currency": "COP"
      },
      "id": "fee_5tgliBmzjZ6mpQPRbQjfKj"
    },
    "payin_subaccount_spread": {
      "amount": {
        "amount": 100000000,
        "currency": "COP"
      },
      "id": "fee_5tgliBmzjZ6mpQPRbQjfKj"
    }
  },
  "funding_account_id": "facc_5tgliBmzjZ6mpQPRbQjfKj",
  "funding_amount": {
    "amount": 100000000,
    "currency": "COP"
  },
  "funds_delivery_method": "co_breb",
  "funds_delivery_mode": "automatic",
  "funds_delivery_status": "completed",
  "funds_destination": "funding_account",
  "id": "cpin_5tgliBmzjZ6mpQPRbQjfKj",
  "inserted_at": "2022-01-01T01:00:00Z",
  "instrument": {
    "data": {
      "currency_code": "COP",
      "number": "94628800123",
      "participant_nit": "890903938",
      "type": "savings_account"
    },
    "kind": "co_breb_account",
    "payer": {
      "data": {
        "document_number": "1023711432",
        "document_type": "CC",
        "names": "Lupita",
        "person_type": "natural",
        "surnames": "Pérez Gómez"
      },
      "kind": "co_person"
    }
  },
  "intent_id": "cpint_5tgliBmzjZ6mpQPRbQjfKj",
  "merchant_amount": {
    "amount": 100000000,
    "currency": "COP"
  },
  "metadata": {
    "id": 3,
    "reference": 123
  },
  "method": "co_breb",
  "recipient_data": {
    "key_type": "alphanumeric",
    "key_value": "@MN1A2B3C4D5E",
    "payment_id": "CO.COM.CRB.TRXIDP1234567891234"
  },
  "redirect_url": "https://merchant.example.com/checkout/return",
  "settlement_batch_id": "cpisb_5tgliBmzjZ6mpQPRbQjfKj",
  "state": "subaccount_credited",
  "state_reason": null,
  "subaccount_amount": {
    "amount": 100000000,
    "currency": "COP"
  },
  "subaccount_disbursement_trigger": "on_approval",
  "subaccount_id": "lacc_5tgliBmzjZ6mpQPRbQjfKj",
  "template_id": "cpitpl_5tgliBmzjZ6mpQPRbQjfKj",
  "transaction_data": {
    "end_to_end_id": "0198c2f3-9d4a-7b21-9e5f-3a8b2c4d6e7f"
  },
  "updated_at": "2022-01-01T01:00:00Z"
}
{
  "code": "401 Unauthorized",
  "errors": [
    {
      "error_code": "missing_authorization_header",
      "message": "`Authorization` header is missing.",
      "path": null,
      "url": null
    }
  ],
  "id": "log_7MkWaFqvfosB8fzHhb1Eql",
  "message": "Authorization header is missing or invalid."
}
{
  "code": "403 Forbidden",
  "errors": [
    {
      "error_code": "not_authorized",
      "message": "Not authorized to have access to this resource.",
      "path": null,
      "url": null
    }
  ],
  "id": "log_7MkWaFqvfosB8fzHhb1Eql",
  "message": "Not authorized to have access to this resource"
}
{
  "code": "404 Not Found",
  "errors": [
    {
      "error_code": "payin_not_found",
      "message": "The payin doesn't exist.",
      "path": null,
      "url": null
    }
  ],
  "id": "log_7MkWaFqvfosB8fzHhb1Eql",
  "message": "Resource not defined"
}